using Newtonsoft.Json;
using System.ComponentModel.DataAnnotations.Schema;

[Table("dilatacne_zariadenia")]
public class DilatacneZariadenia
{
    [JsonProperty("or")]
    public string OR { get; set; }

    [JsonProperty("sm_su")]
    public string SMSU { get; set; }

    [JsonProperty("tu")]
    public string TU { get; set; }

    [JsonProperty("du")]
    public string DU { get; set; }

    [JsonProperty("nazov_du")]
    public string NazovDU { get; set; }

    [JsonProperty("kategoria_trate")]
    public string KategoriaTrate { get; set; }

    [JsonProperty("rozchod")]
    public string Rozchod { get; set; }

    [JsonProperty("oznacenie_rozchodu")]
    public string OznačenieRozchodu { get; set; }

    [JsonProperty("triediaci_znak")]
    public string TriediaciZnak { get; set; }

    [JsonProperty("popis_triediaceho_znak")]
    public string PopisTriediacehoZnak { get; set; }

    [JsonProperty("typ_prevádzky")]
    public string TypPrevádzky { get; set; }

    [JsonProperty("cislo_kolaje")]
    public string CisloKolaje { get; set; }

    [JsonProperty("index_kolaje")]
    public string IndexKolaje { get; set; }

    [JsonProperty("km_od")]
    public string KmOd { get; set; }

    [JsonProperty("km_do")]
    public string KmDo { get; set; }

    [JsonProperty("dlzka")]
    public string Dlzka { get; set; }

    [JsonProperty("cislo_dz")]
    public string CisloDZ { get; set; }

    [JsonProperty("km_poloha")]
    public string KmPoloha { get; set; }

    [JsonProperty("dlzka_dz")]
    public string DlzkaDZ { get; set; }

    [JsonProperty("kolajnicovy_pas")]
    public string KolajnicovyPas { get; set; }

    [JsonProperty("typ_zariadenia")]
    public string TypZariadenia { get; set; }

    [JsonProperty("miesto_zabudovania")]
    public string MiestoZabudovania { get; set; }

    [JsonProperty("teplota_pri_montazi")]
    public string TeplotaPriMontazi { get; set; }

    [JsonProperty("upevnenie_dz")]
    public string UpevnenieDZ { get; set; }

    [JsonProperty("tvar_kolajnic")]
    public string TvarKolajnic { get; set; }

    [JsonProperty("druh_podvalov")]
    public string DruhPodvalov { get; set; }

    [JsonProperty("typ_podvalov")]
    public string TypPodvalov { get; set; }

    [JsonProperty("kolajove_lozko")]
    public string KolajoveLozko { get; set; }

    [JsonProperty("rychlost_v_hlavnom_smere")]
    public string RychlostVHlavnomSmere { get; set; }

    [JsonProperty("vyrobca")]
    public string Vyrobca { get; set; }

    [JsonProperty("datum_vlozenia")]
    public string DatumVlozenia { get; set; }

    [JsonProperty("stav_pri_vlozeni")]
    public string StavPriVlozeni { get; set; }

    [JsonProperty("kolajovy_obvod")]
    public string KolajovyObvod { get; set; }

    [JsonProperty("smer_stanicienia")]
    public string SmerStanicienia { get; set; }

    [JsonProperty("zadanie_teploty_pri_montazi")]
    public string ZadanieTeplotyPriMontazi { get; set; }

    [JsonProperty("datum_poslednej_zmeny")]
    public string DatumPoslednejZmeny { get; set; }

    [JsonProperty("poznamka")]
    public string Poznamka { get; set; }
}
